/*

An example of license ...

This source file is part of Scol
For the latest info, see http://www.scolring.org

Copyright (c) 2010 Iri <iri@irizone.net>

This source is under the terms of the Scol License. See the COPYING included file
for more informations.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.

For others informations, please contact us from http://www.scolring.org/

*/


/* *****************************************************************************
*
* main.h
*
* classical header
*
* by iri <iri@irizone.net>, november, 2010
*
* *****************************************************************************/


#ifndef _EXAMPLE_MAIN_H_
#define _EXAMPLE_MAIN_H_


/* You should include the shared header */
#if defined _WIN32 || defined __WIN32__
#include "scol_plugin_win.h"
#elif defined linux || defined __linux
#include "scol_plugin_lin.h"
#else
#error no platform supported
#endif
/* Macros (optional but very recommended) */
#include "macros.h"

/* The exact number of elements of the new API */
#define EXAMPLE_PKG_NB  1

#endif /* _EXAMPLE_MAIN_H_ */

